Snap to hatch.

I'm wondering if there is a way to snap to hatch. I draw a lot of tilework use hatch and need to be able to dimension it.Thanks.

Comments

  • This is not yet supported, we plan to add it in 2009.

  • Ok thanks.

  • As an option, I hope. Most of the time it would be very undesirable if hatch lines were snappable.

  • Paul, do you know you can explode a hatch and then snap to it? I do that sometimes, exploding either the original hatch or a temporary copy of it.I block the hatch first, and explode it inside the block. So the hatch lines are still all in one entity, but it's a block instead of a hatch.Exploding inside the block is quick and easy now, thanks to Yaacov Lazar's excellent "block edit.lsp" commands, posted at http://www.bricscad.com/protected/en_INTL/support/forumthread.jsp?id=7682Using that, it takes just 5 commands to convert a hatch into a block of lines in the same location: block, insert, kk, explode, bkIf you do it a lot, you could make a script or a menu command that does the whole thing in one command.

  • If your hatches are separate, and are square/polygon you can use lisp to recreate the boundary.I don’t know if this will help in your situation or not.

    (DEFUN C:DOHB (/ ACTIVEDOCUMENT E ENT IACADAPPLICATION MODELSPACE OBJ PAPERSPACE L ) (VL-LOAD-COM) (SETQ IACADAPPLICATION (VLAX-GET-ACAD-OBJECT) ACTIVEDOCUMENT (VLA-GET-ACTIVEDOCUMENT IACADAPPLICATION) PAPERSPACE (VLA-GET-PAPERSPACE ACTIVEDOCUMENT) MODELSPACE (VLA-GET-MODELSPACE ACTIVEDOCUMENT) ) (SETQ ENT (CAR (ENTSEL))) (IF ENT (PROGN (SETQ L '()) (SETQ OBJ (ENTGET ENT)) (FOREACH E OBJ (IF (= (CAR E) 10) (SETQ L (CONS (LIST (NTH 1 E) (NTH 2 E) (NTH 3 E)) L)) ) ) (SETQ L (CDR (REVERSE (CDR L)))) ) ) (DRAWLWPOLYLINE MODELSPACE L "0") (PRINC))(DEFUN DRAWLWPOLYLINE (DOCSPACE POINTLIST LAYER / E PLIST PTL) (SETQ PTL POINTLIST PLIST '() ) (FOREACH E PTL (SETQ PLIST (CONS (CAR E) PLIST) PLIST (CONS (CADR E) PLIST) ) ) (SETQ OBJ (VLA-ADDLIGHTWEIGHTPOLYLINE DOCSPACE (VLAX-SAFEARRAY-FILL (VLAX-MAKE-SAFEARRAY VLAX-VBDOUBLE (CONS 0 (- (LENGTH PLIST) 1)) ) (REVERSE PLIST) ) ) ) (VLA-PUT-CLOSED OBJ T) (VLA-PUT-LAYER OBJ LAYER))
This discussion has been closed.